# This file is part of CoVeriTeam, a tool for on-demand composition of cooperative verification systems:
# https://gitlab.com/sosy-lab/software/coveriteam
#
# SPDX-FileCopyrightText: 2022 Dirk Beyer <https://www.sosy-lab.org>
#
# SPDX-License-Identifier: Apache-2.0

# Generated from CoVeriLang.g4 by ANTLR 4.11.1
from antlr4 import *
from io import StringIO
import sys

if sys.version_info[1] > 5:
    from typing import TextIO
else:
    from typing.io import TextIO


def serializedATN():
    return [
        4,
        0,
        49,
        509,
        6,
        -1,
        2,
        0,
        7,
        0,
        2,
        1,
        7,
        1,
        2,
        2,
        7,
        2,
        2,
        3,
        7,
        3,
        2,
        4,
        7,
        4,
        2,
        5,
        7,
        5,
        2,
        6,
        7,
        6,
        2,
        7,
        7,
        7,
        2,
        8,
        7,
        8,
        2,
        9,
        7,
        9,
        2,
        10,
        7,
        10,
        2,
        11,
        7,
        11,
        2,
        12,
        7,
        12,
        2,
        13,
        7,
        13,
        2,
        14,
        7,
        14,
        2,
        15,
        7,
        15,
        2,
        16,
        7,
        16,
        2,
        17,
        7,
        17,
        2,
        18,
        7,
        18,
        2,
        19,
        7,
        19,
        2,
        20,
        7,
        20,
        2,
        21,
        7,
        21,
        2,
        22,
        7,
        22,
        2,
        23,
        7,
        23,
        2,
        24,
        7,
        24,
        2,
        25,
        7,
        25,
        2,
        26,
        7,
        26,
        2,
        27,
        7,
        27,
        2,
        28,
        7,
        28,
        2,
        29,
        7,
        29,
        2,
        30,
        7,
        30,
        2,
        31,
        7,
        31,
        2,
        32,
        7,
        32,
        2,
        33,
        7,
        33,
        2,
        34,
        7,
        34,
        2,
        35,
        7,
        35,
        2,
        36,
        7,
        36,
        2,
        37,
        7,
        37,
        2,
        38,
        7,
        38,
        2,
        39,
        7,
        39,
        2,
        40,
        7,
        40,
        2,
        41,
        7,
        41,
        2,
        42,
        7,
        42,
        2,
        43,
        7,
        43,
        2,
        44,
        7,
        44,
        2,
        45,
        7,
        45,
        2,
        46,
        7,
        46,
        2,
        47,
        7,
        47,
        2,
        48,
        7,
        48,
        1,
        0,
        1,
        0,
        1,
        0,
        1,
        0,
        1,
        1,
        1,
        1,
        1,
        2,
        1,
        2,
        1,
        3,
        1,
        3,
        1,
        4,
        1,
        4,
        1,
        5,
        1,
        5,
        1,
        6,
        1,
        6,
        1,
        7,
        1,
        7,
        1,
        7,
        1,
        7,
        1,
        7,
        1,
        7,
        1,
        7,
        1,
        8,
        1,
        8,
        1,
        8,
        1,
        8,
        1,
        8,
        1,
        8,
        1,
        8,
        1,
        8,
        1,
        8,
        1,
        9,
        1,
        9,
        1,
        9,
        1,
        9,
        1,
        9,
        1,
        9,
        1,
        9,
        1,
        10,
        1,
        10,
        1,
        10,
        1,
        10,
        1,
        10,
        1,
        10,
        1,
        10,
        1,
        10,
        1,
        10,
        1,
        10,
        1,
        10,
        1,
        10,
        1,
        10,
        1,
        10,
        1,
        10,
        1,
        10,
        1,
        11,
        1,
        11,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        12,
        1,
        13,
        1,
        13,
        1,
        13,
        1,
        13,
        1,
        13,
        1,
        13,
        1,
        13,
        1,
        13,
        1,
        13,
        1,
        14,
        1,
        14,
        1,
        14,
        1,
        14,
        1,
        15,
        1,
        15,
        1,
        15,
        1,
        15,
        1,
        15,
        1,
        15,
        1,
        15,
        1,
        16,
        1,
        16,
        1,
        16,
        1,
        16,
        1,
        16,
        1,
        16,
        1,
        16,
        1,
        16,
        1,
        16,
        1,
        17,
        1,
        17,
        1,
        17,
        1,
        17,
        1,
        17,
        1,
        17,
        1,
        17,
        1,
        17,
        1,
        17,
        1,
        17,
        1,
        17,
        1,
        17,
        1,
        17,
        1,
        17,
        1,
        17,
        1,
        17,
        1,
        17,
        1,
        17,
        1,
        17,
        1,
        18,
        1,
        18,
        1,
        18,
        1,
        18,
        1,
        18,
        1,
        18,
        1,
        18,
        1,
        19,
        1,
        19,
        1,
        19,
        1,
        19,
        1,
        19,
        1,
        19,
        1,
        19,
        1,
        20,
        1,
        20,
        1,
        20,
        1,
        20,
        1,
        20,
        1,
        20,
        1,
        20,
        1,
        20,
        1,
        20,
        1,
        20,
        1,
        20,
        1,
        21,
        1,
        21,
        1,
        21,
        1,
        21,
        1,
        21,
        1,
        22,
        1,
        22,
        1,
        22,
        1,
        22,
        1,
        22,
        1,
        22,
        1,
        22,
        1,
        23,
        1,
        23,
        1,
        23,
        1,
        23,
        1,
        23,
        1,
        23,
        1,
        23,
        1,
        23,
        1,
        23,
        1,
        23,
        1,
        23,
        1,
        23,
        1,
        23,
        1,
        23,
        1,
        23,
        1,
        23,
        1,
        23,
        1,
        24,
        1,
        24,
        1,
        24,
        1,
        24,
        1,
        24,
        1,
        24,
        1,
        24,
        1,
        24,
        1,
        24,
        1,
        24,
        1,
        24,
        1,
        24,
        1,
        24,
        1,
        24,
        1,
        24,
        1,
        24,
        1,
        24,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        25,
        1,
        26,
        1,
        26,
        1,
        26,
        1,
        26,
        1,
        26,
        1,
        26,
        1,
        26,
        1,
        26,
        1,
        26,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        27,
        1,
        28,
        1,
        28,
        1,
        29,
        1,
        29,
        1,
        29,
        1,
        29,
        1,
        29,
        1,
        29,
        1,
        30,
        1,
        30,
        1,
        30,
        1,
        30,
        1,
        30,
        1,
        31,
        1,
        31,
        1,
        31,
        1,
        31,
        1,
        32,
        1,
        32,
        1,
        32,
        1,
        32,
        1,
        32,
        1,
        32,
        1,
        32,
        1,
        32,
        1,
        32,
        1,
        32,
        1,
        32,
        1,
        33,
        1,
        33,
        1,
        33,
        1,
        33,
        1,
        33,
        1,
        33,
        1,
        33,
        1,
        33,
        1,
        33,
        1,
        33,
        1,
        34,
        1,
        34,
        1,
        34,
        1,
        34,
        1,
        34,
        1,
        34,
        1,
        34,
        1,
        34,
        1,
        35,
        1,
        35,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        1,
        36,
        3,
        36,
        434,
        8,
        36,
        1,
        37,
        1,
        37,
        1,
        37,
        1,
        37,
        1,
        37,
        1,
        37,
        1,
        37,
        1,
        37,
        1,
        37,
        3,
        37,
        445,
        8,
        37,
        1,
        38,
        1,
        38,
        1,
        38,
        1,
        38,
        5,
        38,
        451,
        8,
        38,
        10,
        38,
        12,
        38,
        454,
        9,
        38,
        1,
        39,
        1,
        39,
        5,
        39,
        458,
        8,
        39,
        10,
        39,
        12,
        39,
        461,
        9,
        39,
        1,
        39,
        1,
        39,
        1,
        40,
        1,
        40,
        1,
        40,
        5,
        40,
        468,
        8,
        40,
        10,
        40,
        12,
        40,
        471,
        9,
        40,
        1,
        41,
        1,
        41,
        3,
        41,
        475,
        8,
        41,
        1,
        42,
        1,
        42,
        1,
        43,
        1,
        43,
        1,
        44,
        1,
        44,
        1,
        45,
        3,
        45,
        484,
        8,
        45,
        1,
        45,
        1,
        45,
        1,
        45,
        1,
        45,
        1,
        46,
        4,
        46,
        491,
        8,
        46,
        11,
        46,
        12,
        46,
        492,
        1,
        46,
        1,
        46,
        1,
        47,
        1,
        47,
        1,
        48,
        1,
        48,
        1,
        48,
        1,
        48,
        5,
        48,
        503,
        8,
        48,
        10,
        48,
        12,
        48,
        506,
        9,
        48,
        1,
        48,
        1,
        48,
        0,
        0,
        49,
        1,
        1,
        3,
        2,
        5,
        3,
        7,
        4,
        9,
        5,
        11,
        6,
        13,
        7,
        15,
        8,
        17,
        9,
        19,
        10,
        21,
        11,
        23,
        12,
        25,
        13,
        27,
        14,
        29,
        15,
        31,
        16,
        33,
        17,
        35,
        18,
        37,
        19,
        39,
        20,
        41,
        21,
        43,
        22,
        45,
        23,
        47,
        24,
        49,
        25,
        51,
        26,
        53,
        27,
        55,
        28,
        57,
        29,
        59,
        30,
        61,
        31,
        63,
        32,
        65,
        33,
        67,
        34,
        69,
        35,
        71,
        36,
        73,
        37,
        75,
        38,
        77,
        39,
        79,
        40,
        81,
        41,
        83,
        42,
        85,
        43,
        87,
        44,
        89,
        45,
        91,
        46,
        93,
        47,
        95,
        48,
        97,
        49,
        1,
        0,
        7,
        1,
        0,
        95,
        95,
        1,
        0,
        34,
        34,
        1,
        0,
        97,
        122,
        1,
        0,
        65,
        90,
        1,
        0,
        48,
        57,
        2,
        0,
        9,
        9,
        32,
        32,
        2,
        0,
        10,
        10,
        13,
        13,
        523,
        0,
        1,
        1,
        0,
        0,
        0,
        0,
        3,
        1,
        0,
        0,
        0,
        0,
        5,
        1,
        0,
        0,
        0,
        0,
        7,
        1,
        0,
        0,
        0,
        0,
        9,
        1,
        0,
        0,
        0,
        0,
        11,
        1,
        0,
        0,
        0,
        0,
        13,
        1,
        0,
        0,
        0,
        0,
        15,
        1,
        0,
        0,
        0,
        0,
        17,
        1,
        0,
        0,
        0,
        0,
        19,
        1,
        0,
        0,
        0,
        0,
        21,
        1,
        0,
        0,
        0,
        0,
        23,
        1,
        0,
        0,
        0,
        0,
        25,
        1,
        0,
        0,
        0,
        0,
        27,
        1,
        0,
        0,
        0,
        0,
        29,
        1,
        0,
        0,
        0,
        0,
        31,
        1,
        0,
        0,
        0,
        0,
        33,
        1,
        0,
        0,
        0,
        0,
        35,
        1,
        0,
        0,
        0,
        0,
        37,
        1,
        0,
        0,
        0,
        0,
        39,
        1,
        0,
        0,
        0,
        0,
        41,
        1,
        0,
        0,
        0,
        0,
        43,
        1,
        0,
        0,
        0,
        0,
        45,
        1,
        0,
        0,
        0,
        0,
        47,
        1,
        0,
        0,
        0,
        0,
        49,
        1,
        0,
        0,
        0,
        0,
        51,
        1,
        0,
        0,
        0,
        0,
        53,
        1,
        0,
        0,
        0,
        0,
        55,
        1,
        0,
        0,
        0,
        0,
        57,
        1,
        0,
        0,
        0,
        0,
        59,
        1,
        0,
        0,
        0,
        0,
        61,
        1,
        0,
        0,
        0,
        0,
        63,
        1,
        0,
        0,
        0,
        0,
        65,
        1,
        0,
        0,
        0,
        0,
        67,
        1,
        0,
        0,
        0,
        0,
        69,
        1,
        0,
        0,
        0,
        0,
        71,
        1,
        0,
        0,
        0,
        0,
        73,
        1,
        0,
        0,
        0,
        0,
        75,
        1,
        0,
        0,
        0,
        0,
        77,
        1,
        0,
        0,
        0,
        0,
        79,
        1,
        0,
        0,
        0,
        0,
        81,
        1,
        0,
        0,
        0,
        0,
        83,
        1,
        0,
        0,
        0,
        0,
        85,
        1,
        0,
        0,
        0,
        0,
        87,
        1,
        0,
        0,
        0,
        0,
        89,
        1,
        0,
        0,
        0,
        0,
        91,
        1,
        0,
        0,
        0,
        0,
        93,
        1,
        0,
        0,
        0,
        0,
        95,
        1,
        0,
        0,
        0,
        0,
        97,
        1,
        0,
        0,
        0,
        1,
        99,
        1,
        0,
        0,
        0,
        3,
        103,
        1,
        0,
        0,
        0,
        5,
        105,
        1,
        0,
        0,
        0,
        7,
        107,
        1,
        0,
        0,
        0,
        9,
        109,
        1,
        0,
        0,
        0,
        11,
        111,
        1,
        0,
        0,
        0,
        13,
        113,
        1,
        0,
        0,
        0,
        15,
        115,
        1,
        0,
        0,
        0,
        17,
        122,
        1,
        0,
        0,
        0,
        19,
        131,
        1,
        0,
        0,
        0,
        21,
        138,
        1,
        0,
        0,
        0,
        23,
        154,
        1,
        0,
        0,
        0,
        25,
        156,
        1,
        0,
        0,
        0,
        27,
        177,
        1,
        0,
        0,
        0,
        29,
        186,
        1,
        0,
        0,
        0,
        31,
        190,
        1,
        0,
        0,
        0,
        33,
        197,
        1,
        0,
        0,
        0,
        35,
        206,
        1,
        0,
        0,
        0,
        37,
        225,
        1,
        0,
        0,
        0,
        39,
        232,
        1,
        0,
        0,
        0,
        41,
        239,
        1,
        0,
        0,
        0,
        43,
        250,
        1,
        0,
        0,
        0,
        45,
        255,
        1,
        0,
        0,
        0,
        47,
        262,
        1,
        0,
        0,
        0,
        49,
        279,
        1,
        0,
        0,
        0,
        51,
        296,
        1,
        0,
        0,
        0,
        53,
        330,
        1,
        0,
        0,
        0,
        55,
        339,
        1,
        0,
        0,
        0,
        57,
        363,
        1,
        0,
        0,
        0,
        59,
        365,
        1,
        0,
        0,
        0,
        61,
        371,
        1,
        0,
        0,
        0,
        63,
        376,
        1,
        0,
        0,
        0,
        65,
        380,
        1,
        0,
        0,
        0,
        67,
        391,
        1,
        0,
        0,
        0,
        69,
        401,
        1,
        0,
        0,
        0,
        71,
        409,
        1,
        0,
        0,
        0,
        73,
        433,
        1,
        0,
        0,
        0,
        75,
        444,
        1,
        0,
        0,
        0,
        77,
        446,
        1,
        0,
        0,
        0,
        79,
        455,
        1,
        0,
        0,
        0,
        81,
        464,
        1,
        0,
        0,
        0,
        83,
        474,
        1,
        0,
        0,
        0,
        85,
        476,
        1,
        0,
        0,
        0,
        87,
        478,
        1,
        0,
        0,
        0,
        89,
        480,
        1,
        0,
        0,
        0,
        91,
        483,
        1,
        0,
        0,
        0,
        93,
        490,
        1,
        0,
        0,
        0,
        95,
        496,
        1,
        0,
        0,
        0,
        97,
        498,
        1,
        0,
        0,
        0,
        99,
        100,
        5,
        102,
        0,
        0,
        100,
        101,
        5,
        117,
        0,
        0,
        101,
        102,
        5,
        110,
        0,
        0,
        102,
        2,
        1,
        0,
        0,
        0,
        103,
        104,
        5,
        40,
        0,
        0,
        104,
        4,
        1,
        0,
        0,
        0,
        105,
        106,
        5,
        41,
        0,
        0,
        106,
        6,
        1,
        0,
        0,
        0,
        107,
        108,
        5,
        123,
        0,
        0,
        108,
        8,
        1,
        0,
        0,
        0,
        109,
        110,
        5,
        125,
        0,
        0,
        110,
        10,
        1,
        0,
        0,
        0,
        111,
        112,
        5,
        44,
        0,
        0,
        112,
        12,
        1,
        0,
        0,
        0,
        113,
        114,
        5,
        61,
        0,
        0,
        114,
        14,
        1,
        0,
        0,
        0,
        115,
        116,
        5,
        112,
        0,
        0,
        116,
        117,
        5,
        114,
        0,
        0,
        117,
        118,
        5,
        105,
        0,
        0,
        118,
        119,
        5,
        110,
        0,
        0,
        119,
        120,
        5,
        116,
        0,
        0,
        120,
        121,
        5,
        40,
        0,
        0,
        121,
        16,
        1,
        0,
        0,
        0,
        122,
        123,
        5,
        101,
        0,
        0,
        123,
        124,
        5,
        120,
        0,
        0,
        124,
        125,
        5,
        101,
        0,
        0,
        125,
        126,
        5,
        99,
        0,
        0,
        126,
        127,
        5,
        117,
        0,
        0,
        127,
        128,
        5,
        116,
        0,
        0,
        128,
        129,
        5,
        101,
        0,
        0,
        129,
        130,
        5,
        40,
        0,
        0,
        130,
        18,
        1,
        0,
        0,
        0,
        131,
        132,
        5,
        114,
        0,
        0,
        132,
        133,
        5,
        101,
        0,
        0,
        133,
        134,
        5,
        116,
        0,
        0,
        134,
        135,
        5,
        117,
        0,
        0,
        135,
        136,
        5,
        114,
        0,
        0,
        136,
        137,
        5,
        110,
        0,
        0,
        137,
        20,
        1,
        0,
        0,
        0,
        138,
        139,
        5,
        115,
        0,
        0,
        139,
        140,
        5,
        101,
        0,
        0,
        140,
        141,
        5,
        116,
        0,
        0,
        141,
        142,
        5,
        95,
        0,
        0,
        142,
        143,
        5,
        97,
        0,
        0,
        143,
        144,
        5,
        99,
        0,
        0,
        144,
        145,
        5,
        116,
        0,
        0,
        145,
        146,
        5,
        111,
        0,
        0,
        146,
        147,
        5,
        114,
        0,
        0,
        147,
        148,
        5,
        95,
        0,
        0,
        148,
        149,
        5,
        110,
        0,
        0,
        149,
        150,
        5,
        97,
        0,
        0,
        150,
        151,
        5,
        109,
        0,
        0,
        151,
        152,
        5,
        101,
        0,
        0,
        152,
        153,
        5,
        40,
        0,
        0,
        153,
        22,
        1,
        0,
        0,
        0,
        154,
        155,
        5,
        58,
        0,
        0,
        155,
        24,
        1,
        0,
        0,
        0,
        156,
        157,
        5,
        65,
        0,
        0,
        157,
        158,
        5,
        99,
        0,
        0,
        158,
        159,
        5,
        116,
        0,
        0,
        159,
        160,
        5,
        111,
        0,
        0,
        160,
        161,
        5,
        114,
        0,
        0,
        161,
        162,
        5,
        70,
        0,
        0,
        162,
        163,
        5,
        97,
        0,
        0,
        163,
        164,
        5,
        99,
        0,
        0,
        164,
        165,
        5,
        116,
        0,
        0,
        165,
        166,
        5,
        111,
        0,
        0,
        166,
        167,
        5,
        114,
        0,
        0,
        167,
        168,
        5,
        121,
        0,
        0,
        168,
        169,
        5,
        46,
        0,
        0,
        169,
        170,
        5,
        99,
        0,
        0,
        170,
        171,
        5,
        114,
        0,
        0,
        171,
        172,
        5,
        101,
        0,
        0,
        172,
        173,
        5,
        97,
        0,
        0,
        173,
        174,
        5,
        116,
        0,
        0,
        174,
        175,
        5,
        101,
        0,
        0,
        175,
        176,
        5,
        40,
        0,
        0,
        176,
        26,
        1,
        0,
        0,
        0,
        177,
        178,
        5,
        83,
        0,
        0,
        178,
        179,
        5,
        69,
        0,
        0,
        179,
        180,
        5,
        81,
        0,
        0,
        180,
        181,
        5,
        85,
        0,
        0,
        181,
        182,
        5,
        69,
        0,
        0,
        182,
        183,
        5,
        78,
        0,
        0,
        183,
        184,
        5,
        67,
        0,
        0,
        184,
        185,
        5,
        69,
        0,
        0,
        185,
        28,
        1,
        0,
        0,
        0,
        186,
        187,
        5,
        73,
        0,
        0,
        187,
        188,
        5,
        84,
        0,
        0,
        188,
        189,
        5,
        69,
        0,
        0,
        189,
        30,
        1,
        0,
        0,
        0,
        190,
        191,
        5,
        82,
        0,
        0,
        191,
        192,
        5,
        69,
        0,
        0,
        192,
        193,
        5,
        80,
        0,
        0,
        193,
        194,
        5,
        69,
        0,
        0,
        194,
        195,
        5,
        65,
        0,
        0,
        195,
        196,
        5,
        84,
        0,
        0,
        196,
        32,
        1,
        0,
        0,
        0,
        197,
        198,
        5,
        80,
        0,
        0,
        198,
        199,
        5,
        65,
        0,
        0,
        199,
        200,
        5,
        82,
        0,
        0,
        200,
        201,
        5,
        65,
        0,
        0,
        201,
        202,
        5,
        76,
        0,
        0,
        202,
        203,
        5,
        76,
        0,
        0,
        203,
        204,
        5,
        69,
        0,
        0,
        204,
        205,
        5,
        76,
        0,
        0,
        205,
        34,
        1,
        0,
        0,
        0,
        206,
        207,
        5,
        80,
        0,
        0,
        207,
        208,
        5,
        65,
        0,
        0,
        208,
        209,
        5,
        82,
        0,
        0,
        209,
        210,
        5,
        65,
        0,
        0,
        210,
        211,
        5,
        76,
        0,
        0,
        211,
        212,
        5,
        76,
        0,
        0,
        212,
        213,
        5,
        69,
        0,
        0,
        213,
        214,
        5,
        76,
        0,
        0,
        214,
        215,
        5,
        95,
        0,
        0,
        215,
        216,
        5,
        80,
        0,
        0,
        216,
        217,
        5,
        79,
        0,
        0,
        217,
        218,
        5,
        82,
        0,
        0,
        218,
        219,
        5,
        84,
        0,
        0,
        219,
        220,
        5,
        70,
        0,
        0,
        220,
        221,
        5,
        79,
        0,
        0,
        221,
        222,
        5,
        76,
        0,
        0,
        222,
        223,
        5,
        73,
        0,
        0,
        223,
        224,
        5,
        79,
        0,
        0,
        224,
        36,
        1,
        0,
        0,
        0,
        225,
        226,
        5,
        74,
        0,
        0,
        226,
        227,
        5,
        111,
        0,
        0,
        227,
        228,
        5,
        105,
        0,
        0,
        228,
        229,
        5,
        110,
        0,
        0,
        229,
        230,
        5,
        101,
        0,
        0,
        230,
        231,
        5,
        114,
        0,
        0,
        231,
        38,
        1,
        0,
        0,
        0,
        232,
        233,
        5,
        83,
        0,
        0,
        233,
        234,
        5,
        101,
        0,
        0,
        234,
        235,
        5,
        116,
        0,
        0,
        235,
        236,
        5,
        116,
        0,
        0,
        236,
        237,
        5,
        101,
        0,
        0,
        237,
        238,
        5,
        114,
        0,
        0,
        238,
        40,
        1,
        0,
        0,
        0,
        239,
        240,
        5,
        67,
        0,
        0,
        240,
        241,
        5,
        111,
        0,
        0,
        241,
        242,
        5,
        109,
        0,
        0,
        242,
        243,
        5,
        112,
        0,
        0,
        243,
        244,
        5,
        97,
        0,
        0,
        244,
        245,
        5,
        114,
        0,
        0,
        245,
        246,
        5,
        97,
        0,
        0,
        246,
        247,
        5,
        116,
        0,
        0,
        247,
        248,
        5,
        111,
        0,
        0,
        248,
        249,
        5,
        114,
        0,
        0,
        249,
        42,
        1,
        0,
        0,
        0,
        250,
        251,
        5,
        67,
        0,
        0,
        251,
        252,
        5,
        111,
        0,
        0,
        252,
        253,
        5,
        112,
        0,
        0,
        253,
        254,
        5,
        121,
        0,
        0,
        254,
        44,
        1,
        0,
        0,
        0,
        255,
        256,
        5,
        82,
        0,
        0,
        256,
        257,
        5,
        101,
        0,
        0,
        257,
        258,
        5,
        110,
        0,
        0,
        258,
        259,
        5,
        97,
        0,
        0,
        259,
        260,
        5,
        109,
        0,
        0,
        260,
        261,
        5,
        101,
        0,
        0,
        261,
        46,
        1,
        0,
        0,
        0,
        262,
        263,
        5,
        84,
        0,
        0,
        263,
        264,
        5,
        101,
        0,
        0,
        264,
        265,
        5,
        115,
        0,
        0,
        265,
        266,
        5,
        116,
        0,
        0,
        266,
        267,
        5,
        83,
        0,
        0,
        267,
        268,
        5,
        112,
        0,
        0,
        268,
        269,
        5,
        101,
        0,
        0,
        269,
        270,
        5,
        99,
        0,
        0,
        270,
        271,
        5,
        84,
        0,
        0,
        271,
        272,
        5,
        111,
        0,
        0,
        272,
        273,
        5,
        83,
        0,
        0,
        273,
        274,
        5,
        112,
        0,
        0,
        274,
        275,
        5,
        101,
        0,
        0,
        275,
        276,
        5,
        99,
        0,
        0,
        276,
        277,
        5,
        40,
        0,
        0,
        277,
        278,
        5,
        41,
        0,
        0,
        278,
        48,
        1,
        0,
        0,
        0,
        279,
        280,
        5,
        83,
        0,
        0,
        280,
        281,
        5,
        112,
        0,
        0,
        281,
        282,
        5,
        101,
        0,
        0,
        282,
        283,
        5,
        99,
        0,
        0,
        283,
        284,
        5,
        84,
        0,
        0,
        284,
        285,
        5,
        111,
        0,
        0,
        285,
        286,
        5,
        84,
        0,
        0,
        286,
        287,
        5,
        101,
        0,
        0,
        287,
        288,
        5,
        115,
        0,
        0,
        288,
        289,
        5,
        116,
        0,
        0,
        289,
        290,
        5,
        83,
        0,
        0,
        290,
        291,
        5,
        112,
        0,
        0,
        291,
        292,
        5,
        101,
        0,
        0,
        292,
        293,
        5,
        99,
        0,
        0,
        293,
        294,
        5,
        40,
        0,
        0,
        294,
        295,
        5,
        41,
        0,
        0,
        295,
        50,
        1,
        0,
        0,
        0,
        296,
        297,
        5,
        67,
        0,
        0,
        297,
        298,
        5,
        108,
        0,
        0,
        298,
        299,
        5,
        97,
        0,
        0,
        299,
        300,
        5,
        115,
        0,
        0,
        300,
        301,
        5,
        115,
        0,
        0,
        301,
        302,
        5,
        105,
        0,
        0,
        302,
        303,
        5,
        102,
        0,
        0,
        303,
        304,
        5,
        105,
        0,
        0,
        304,
        305,
        5,
        99,
        0,
        0,
        305,
        306,
        5,
        97,
        0,
        0,
        306,
        307,
        5,
        116,
        0,
        0,
        307,
        308,
        5,
        105,
        0,
        0,
        308,
        309,
        5,
        111,
        0,
        0,
        309,
        310,
        5,
        110,
        0,
        0,
        310,
        311,
        5,
        84,
        0,
        0,
        311,
        312,
        5,
        111,
        0,
        0,
        312,
        313,
        5,
        65,
        0,
        0,
        313,
        314,
        5,
        99,
        0,
        0,
        314,
        315,
        5,
        116,
        0,
        0,
        315,
        316,
        5,
        111,
        0,
        0,
        316,
        317,
        5,
        114,
        0,
        0,
        317,
        318,
        5,
        68,
        0,
        0,
        318,
        319,
        5,
        101,
        0,
        0,
        319,
        320,
        5,
        102,
        0,
        0,
        320,
        321,
        5,
        105,
        0,
        0,
        321,
        322,
        5,
        110,
        0,
        0,
        322,
        323,
        5,
        105,
        0,
        0,
        323,
        324,
        5,
        116,
        0,
        0,
        324,
        325,
        5,
        105,
        0,
        0,
        325,
        326,
        5,
        111,
        0,
        0,
        326,
        327,
        5,
        110,
        0,
        0,
        327,
        328,
        5,
        40,
        0,
        0,
        328,
        329,
        5,
        41,
        0,
        0,
        329,
        52,
        1,
        0,
        0,
        0,
        330,
        331,
        5,
        73,
        0,
        0,
        331,
        332,
        5,
        100,
        0,
        0,
        332,
        333,
        5,
        101,
        0,
        0,
        333,
        334,
        5,
        110,
        0,
        0,
        334,
        335,
        5,
        116,
        0,
        0,
        335,
        336,
        5,
        105,
        0,
        0,
        336,
        337,
        5,
        116,
        0,
        0,
        337,
        338,
        5,
        121,
        0,
        0,
        338,
        54,
        1,
        0,
        0,
        0,
        339,
        340,
        5,
        65,
        0,
        0,
        340,
        341,
        5,
        114,
        0,
        0,
        341,
        342,
        5,
        116,
        0,
        0,
        342,
        343,
        5,
        105,
        0,
        0,
        343,
        344,
        5,
        102,
        0,
        0,
        344,
        345,
        5,
        97,
        0,
        0,
        345,
        346,
        5,
        99,
        0,
        0,
        346,
        347,
        5,
        116,
        0,
        0,
        347,
        348,
        5,
        70,
        0,
        0,
        348,
        349,
        5,
        97,
        0,
        0,
        349,
        350,
        5,
        99,
        0,
        0,
        350,
        351,
        5,
        116,
        0,
        0,
        351,
        352,
        5,
        111,
        0,
        0,
        352,
        353,
        5,
        114,
        0,
        0,
        353,
        354,
        5,
        121,
        0,
        0,
        354,
        355,
        5,
        46,
        0,
        0,
        355,
        356,
        5,
        99,
        0,
        0,
        356,
        357,
        5,
        114,
        0,
        0,
        357,
        358,
        5,
        101,
        0,
        0,
        358,
        359,
        5,
        97,
        0,
        0,
        359,
        360,
        5,
        116,
        0,
        0,
        360,
        361,
        5,
        101,
        0,
        0,
        361,
        362,
        5,
        40,
        0,
        0,
        362,
        56,
        1,
        0,
        0,
        0,
        363,
        364,
        5,
        46,
        0,
        0,
        364,
        58,
        1,
        0,
        0,
        0,
        365,
        366,
        5,
        73,
        0,
        0,
        366,
        367,
        5,
        76,
        0,
        0,
        367,
        368,
        5,
        80,
        0,
        0,
        368,
        369,
        5,
        51,
        0,
        0,
        369,
        370,
        5,
        50,
        0,
        0,
        370,
        60,
        1,
        0,
        0,
        0,
        371,
        372,
        5,
        76,
        0,
        0,
        372,
        373,
        5,
        80,
        0,
        0,
        373,
        374,
        5,
        54,
        0,
        0,
        374,
        375,
        5,
        52,
        0,
        0,
        375,
        62,
        1,
        0,
        0,
        0,
        376,
        377,
        5,
        78,
        0,
        0,
        377,
        378,
        5,
        79,
        0,
        0,
        378,
        379,
        5,
        84,
        0,
        0,
        379,
        64,
        1,
        0,
        0,
        0,
        380,
        381,
        5,
        73,
        0,
        0,
        381,
        382,
        5,
        78,
        0,
        0,
        382,
        383,
        5,
        83,
        0,
        0,
        383,
        384,
        5,
        84,
        0,
        0,
        384,
        385,
        5,
        65,
        0,
        0,
        385,
        386,
        5,
        78,
        0,
        0,
        386,
        387,
        5,
        67,
        0,
        0,
        387,
        388,
        5,
        69,
        0,
        0,
        388,
        389,
        5,
        79,
        0,
        0,
        389,
        390,
        5,
        70,
        0,
        0,
        390,
        66,
        1,
        0,
        0,
        0,
        391,
        392,
        5,
        69,
        0,
        0,
        392,
        393,
        5,
        76,
        0,
        0,
        393,
        394,
        5,
        69,
        0,
        0,
        394,
        395,
        5,
        77,
        0,
        0,
        395,
        396,
        5,
        69,
        0,
        0,
        396,
        397,
        5,
        78,
        0,
        0,
        397,
        398,
        5,
        84,
        0,
        0,
        398,
        399,
        5,
        79,
        0,
        0,
        399,
        400,
        5,
        70,
        0,
        0,
        400,
        68,
        1,
        0,
        0,
        0,
        401,
        402,
        5,
        84,
        0,
        0,
        402,
        403,
        5,
        79,
        0,
        0,
        403,
        404,
        5,
        68,
        0,
        0,
        404,
        405,
        5,
        79,
        0,
        0,
        405,
        406,
        5,
        45,
        0,
        0,
        406,
        407,
        5,
        45,
        0,
        0,
        407,
        408,
        5,
        45,
        0,
        0,
        408,
        70,
        1,
        0,
        0,
        0,
        409,
        410,
        5,
        39,
        0,
        0,
        410,
        72,
        1,
        0,
        0,
        0,
        411,
        412,
        5,
        70,
        0,
        0,
        412,
        413,
        5,
        65,
        0,
        0,
        413,
        414,
        5,
        76,
        0,
        0,
        414,
        415,
        5,
        83,
        0,
        0,
        415,
        416,
        5,
        69,
        0,
        0,
        416,
        417,
        1,
        0,
        0,
        0,
        417,
        434,
        6,
        36,
        0,
        0,
        418,
        419,
        5,
        84,
        0,
        0,
        419,
        420,
        5,
        82,
        0,
        0,
        420,
        421,
        5,
        85,
        0,
        0,
        421,
        422,
        5,
        69,
        0,
        0,
        422,
        423,
        1,
        0,
        0,
        0,
        423,
        434,
        6,
        36,
        1,
        0,
        424,
        425,
        5,
        85,
        0,
        0,
        425,
        426,
        5,
        78,
        0,
        0,
        426,
        427,
        5,
        75,
        0,
        0,
        427,
        428,
        5,
        78,
        0,
        0,
        428,
        429,
        5,
        79,
        0,
        0,
        429,
        430,
        5,
        87,
        0,
        0,
        430,
        431,
        5,
        78,
        0,
        0,
        431,
        432,
        1,
        0,
        0,
        0,
        432,
        434,
        6,
        36,
        2,
        0,
        433,
        411,
        1,
        0,
        0,
        0,
        433,
        418,
        1,
        0,
        0,
        0,
        433,
        424,
        1,
        0,
        0,
        0,
        434,
        74,
        1,
        0,
        0,
        0,
        435,
        436,
        5,
        65,
        0,
        0,
        436,
        437,
        5,
        78,
        0,
        0,
        437,
        445,
        5,
        68,
        0,
        0,
        438,
        439,
        5,
        79,
        0,
        0,
        439,
        445,
        5,
        82,
        0,
        0,
        440,
        441,
        5,
        61,
        0,
        0,
        441,
        445,
        5,
        61,
        0,
        0,
        442,
        443,
        5,
        33,
        0,
        0,
        443,
        445,
        5,
        61,
        0,
        0,
        444,
        435,
        1,
        0,
        0,
        0,
        444,
        438,
        1,
        0,
        0,
        0,
        444,
        440,
        1,
        0,
        0,
        0,
        444,
        442,
        1,
        0,
        0,
        0,
        445,
        76,
        1,
        0,
        0,
        0,
        446,
        452,
        3,
        85,
        42,
        0,
        447,
        451,
        3,
        83,
        41,
        0,
        448,
        451,
        3,
        89,
        44,
        0,
        449,
        451,
        7,
        0,
        0,
        0,
        450,
        447,
        1,
        0,
        0,
        0,
        450,
        448,
        1,
        0,
        0,
        0,
        450,
        449,
        1,
        0,
        0,
        0,
        451,
        454,
        1,
        0,
        0,
        0,
        452,
        450,
        1,
        0,
        0,
        0,
        452,
        453,
        1,
        0,
        0,
        0,
        453,
        78,
        1,
        0,
        0,
        0,
        454,
        452,
        1,
        0,
        0,
        0,
        455,
        459,
        5,
        34,
        0,
        0,
        456,
        458,
        8,
        1,
        0,
        0,
        457,
        456,
        1,
        0,
        0,
        0,
        458,
        461,
        1,
        0,
        0,
        0,
        459,
        457,
        1,
        0,
        0,
        0,
        459,
        460,
        1,
        0,
        0,
        0,
        460,
        462,
        1,
        0,
        0,
        0,
        461,
        459,
        1,
        0,
        0,
        0,
        462,
        463,
        5,
        34,
        0,
        0,
        463,
        80,
        1,
        0,
        0,
        0,
        464,
        469,
        3,
        87,
        43,
        0,
        465,
        468,
        3,
        83,
        41,
        0,
        466,
        468,
        3,
        89,
        44,
        0,
        467,
        465,
        1,
        0,
        0,
        0,
        467,
        466,
        1,
        0,
        0,
        0,
        468,
        471,
        1,
        0,
        0,
        0,
        469,
        467,
        1,
        0,
        0,
        0,
        469,
        470,
        1,
        0,
        0,
        0,
        470,
        82,
        1,
        0,
        0,
        0,
        471,
        469,
        1,
        0,
        0,
        0,
        472,
        475,
        3,
        85,
        42,
        0,
        473,
        475,
        3,
        87,
        43,
        0,
        474,
        472,
        1,
        0,
        0,
        0,
        474,
        473,
        1,
        0,
        0,
        0,
        475,
        84,
        1,
        0,
        0,
        0,
        476,
        477,
        7,
        2,
        0,
        0,
        477,
        86,
        1,
        0,
        0,
        0,
        478,
        479,
        7,
        3,
        0,
        0,
        479,
        88,
        1,
        0,
        0,
        0,
        480,
        481,
        7,
        4,
        0,
        0,
        481,
        90,
        1,
        0,
        0,
        0,
        482,
        484,
        5,
        13,
        0,
        0,
        483,
        482,
        1,
        0,
        0,
        0,
        483,
        484,
        1,
        0,
        0,
        0,
        484,
        485,
        1,
        0,
        0,
        0,
        485,
        486,
        5,
        10,
        0,
        0,
        486,
        487,
        1,
        0,
        0,
        0,
        487,
        488,
        6,
        45,
        3,
        0,
        488,
        92,
        1,
        0,
        0,
        0,
        489,
        491,
        7,
        5,
        0,
        0,
        490,
        489,
        1,
        0,
        0,
        0,
        491,
        492,
        1,
        0,
        0,
        0,
        492,
        490,
        1,
        0,
        0,
        0,
        492,
        493,
        1,
        0,
        0,
        0,
        493,
        494,
        1,
        0,
        0,
        0,
        494,
        495,
        6,
        46,
        3,
        0,
        495,
        94,
        1,
        0,
        0,
        0,
        496,
        497,
        5,
        59,
        0,
        0,
        497,
        96,
        1,
        0,
        0,
        0,
        498,
        499,
        5,
        47,
        0,
        0,
        499,
        500,
        5,
        47,
        0,
        0,
        500,
        504,
        1,
        0,
        0,
        0,
        501,
        503,
        8,
        6,
        0,
        0,
        502,
        501,
        1,
        0,
        0,
        0,
        503,
        506,
        1,
        0,
        0,
        0,
        504,
        502,
        1,
        0,
        0,
        0,
        504,
        505,
        1,
        0,
        0,
        0,
        505,
        507,
        1,
        0,
        0,
        0,
        506,
        504,
        1,
        0,
        0,
        0,
        507,
        508,
        6,
        48,
        3,
        0,
        508,
        98,
        1,
        0,
        0,
        0,
        12,
        0,
        433,
        444,
        450,
        452,
        459,
        467,
        469,
        474,
        483,
        492,
        504,
        4,
        1,
        36,
        0,
        1,
        36,
        1,
        1,
        36,
        2,
        6,
        0,
        0,
    ]


class CoVeriLangLexer(Lexer):
    atn = ATNDeserializer().deserialize(serializedATN())

    decisionsToDFA = [DFA(ds, i) for i, ds in enumerate(atn.decisionToState)]

    T__0 = 1
    T__1 = 2
    T__2 = 3
    T__3 = 4
    T__4 = 5
    T__5 = 6
    T__6 = 7
    T__7 = 8
    T__8 = 9
    T__9 = 10
    T__10 = 11
    T__11 = 12
    T__12 = 13
    T__13 = 14
    T__14 = 15
    T__15 = 16
    T__16 = 17
    T__17 = 18
    T__18 = 19
    T__19 = 20
    T__20 = 21
    T__21 = 22
    T__22 = 23
    T__23 = 24
    T__24 = 25
    T__25 = 26
    T__26 = 27
    T__27 = 28
    T__28 = 29
    T__29 = 30
    T__30 = 31
    T__31 = 32
    T__32 = 33
    T__33 = 34
    T__34 = 35
    T__35 = 36
    VERDICT = 37
    BIN_OP = 38
    ID = 39
    STRING = 40
    TYPE_NAME = 41
    LETTER = 42
    LOWER_CASE = 43
    UPPER_CASE = 44
    DIGIT = 45
    NEWLINE = 46
    WS = 47
    DELIMITER = 48
    COMMENT = 49

    channelNames = ["DEFAULT_TOKEN_CHANNEL", "HIDDEN"]

    modeNames = ["DEFAULT_MODE"]

    literalNames = [
        "<INVALID>",
        "'fun'",
        "'('",
        "')'",
        "'{'",
        "'}'",
        "','",
        "'='",
        "'print('",
        "'execute('",
        "'return'",
        "'set_actor_name('",
        "':'",
        "'ActorFactory.create('",
        "'SEQUENCE'",
        "'ITE'",
        "'REPEAT'",
        "'PARALLEL'",
        "'PARALLEL_PORTFOLIO'",
        "'Joiner'",
        "'Setter'",
        "'Comparator'",
        "'Copy'",
        "'Rename'",
        "'TestSpecToSpec()'",
        "'SpecToTestSpec()'",
        "'ClassificationToActorDefinition()'",
        "'Identity'",
        "'ArtifactFactory.create('",
        "'.'",
        "'ILP32'",
        "'LP64'",
        "'NOT'",
        "'INSTANCEOF'",
        "'ELEMENTOF'",
        "'TODO---'",
        "'''",
        "';'",
    ]

    symbolicNames = [
        "<INVALID>",
        "VERDICT",
        "BIN_OP",
        "ID",
        "STRING",
        "TYPE_NAME",
        "LETTER",
        "LOWER_CASE",
        "UPPER_CASE",
        "DIGIT",
        "NEWLINE",
        "WS",
        "DELIMITER",
        "COMMENT",
    ]

    ruleNames = [
        "T__0",
        "T__1",
        "T__2",
        "T__3",
        "T__4",
        "T__5",
        "T__6",
        "T__7",
        "T__8",
        "T__9",
        "T__10",
        "T__11",
        "T__12",
        "T__13",
        "T__14",
        "T__15",
        "T__16",
        "T__17",
        "T__18",
        "T__19",
        "T__20",
        "T__21",
        "T__22",
        "T__23",
        "T__24",
        "T__25",
        "T__26",
        "T__27",
        "T__28",
        "T__29",
        "T__30",
        "T__31",
        "T__32",
        "T__33",
        "T__34",
        "T__35",
        "VERDICT",
        "BIN_OP",
        "ID",
        "STRING",
        "TYPE_NAME",
        "LETTER",
        "LOWER_CASE",
        "UPPER_CASE",
        "DIGIT",
        "NEWLINE",
        "WS",
        "DELIMITER",
        "COMMENT",
    ]

    grammarFileName = "CoVeriLang.g4"

    def __init__(self, input=None, output: TextIO = sys.stdout):
        super().__init__(input, output)
        self.checkVersion("4.11.1")
        self._interp = LexerATNSimulator(
            self, self.atn, self.decisionsToDFA, PredictionContextCache()
        )
        self._actions = None
        self._predicates = None

    def action(self, localctx: RuleContext, ruleIndex: int, actionIndex: int):
        if self._actions is None:
            actions = dict()
            actions[36] = self.VERDICT_action
            self._actions = actions
        action = self._actions.get(ruleIndex, None)
        if action is not None:
            action(localctx, actionIndex)
        else:
            raise Exception("No registered action for:" + str(ruleIndex))

    def VERDICT_action(self, localctx: RuleContext, actionIndex: int):
        if actionIndex == 0:
            self.text = "RESULT_CLASS_FALSE"

        if actionIndex == 1:
            self.text = "RESULT_CLASS_TRUE"

        if actionIndex == 2:
            self.text = "RESULT_CLASS_OTHER"
